Subject: [MMUSIC] SDPCapNeg question

From: "Ingemar Johansson S" <[email-masked]>
Date: Wed, 22 Oct 2008 08:39:28 +0200

Hi

Reading the SDPCapNeg draft and esp. the syntax in 3.5.1 I get the idea that it is possible to formulate an SDP like

m=audio 54320 RTP/AVP 0
a=tcap:1 RTP/AVPF
a=pcfg:1 

in other words just an empty potential configuration.

Even though this is close to stupidity I just want to make sure that it is possible (and no ... I don't see any use case at all). Also it does not seem to break the syntax as far as I can see in 3.5 and 3.6.

Speaking of the [...] and (...) in the syntax , I have tried to find the document that describes these and their exact meanings, where do I find this info ?(need to make the syntax in the image attribute draft correct).

/Ingemar

******************************************* 
Ingemar Johansson 
Senior Research Engineer, IETF "nethead" 
EAB/TVP - Multimedia Technologies 
Ericsson Research Ericsson AB 
Box 920 S-971 28 Luleå, Sweden 
Tel: +46 (0)8 4043042 
ECN: 850-43042 
Mobile: +46 (0)730 783289 
******************************************* 
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Flemming Andreasen <[email-masked]>
Date: Thu, 23 Oct 2008 09:22:42 -0400

> Even though this is close to stupidity I just want to make sure that it is possible (and no ... I don't see any use case at all). Also it does not seem to break the syntax as far as I can see in 3.…
It is possible, and there is a specific use case for it, as described in 
Section 3.5.1:
<quote>
   A potential configuration list is normally provided after the
   configuration number. When the potential configuration list is
   omitted, the potential configuration equals the actual
   configuration.
</quote>
Specifically what that allows you to do is change the default behavior 
of having the actual configuration always be the least preferred 
potential configuration.

Looking a Section 3.6.1, there is however some confusing text in there, 
more specifically the following:
<quote>
Each potential configuration attribute in a given
   media description MUST contain a unique configuration number and one
   or more potential configuration lists, as described in Section
   3.5.1.
</quote>

Specifically, the part saying there MUST be one or more potential 
configuration lists is incorrect per the above. I'll get that fixed to 
say "zero, one or more".

> Speaking of the [...] and (...) in the syntax , I have tried to find the document that describes these and their exact meanings, where do I find this info ?(need to make the syntax in the image att…
That's ABNF syntax - refer to RFC 5234.

Thanks

-- Flemming